Браузер, не требующий SSE2 (А также другой родственный софт.)

Поиск, обмен ссылками, вопросы по устаревшему программному обеспечению.
radical
Advanced Member
Сообщения: 1877
Зарегистрирован: 20.07.2017,11:54

Браузер, не требующий SSE2

Сообщение radical » 01.01.2018,23:22

А также другой родственный софт.

Предлагаю здесь делиться рекомендациями по выбору браузера для конкретной старой системы с процессором, не умеющим SSE2. Можно и без SSE, вдруг кто с P2 или дурона-750 заходит в интернеты.
Только с указанием версий программ, можно даже со ссылками. Также необходима градация, кроме процессоров, по количеству установленной памяти. Скажем, до 256МБ, до 512МБ и т.д.
Я сейчас подбираю браузер под P3-M 1133 1024RAM, вроде K-Meleon 76 Pro последний работает шустро, но он для более слабого железа больше подходит, на 320RAM работает удовлетворительно, хочется чего-то помощнее.
Опера 12 работает сносно, но уже с многими сайтами проблема.
FF последней версией без SSE2 была 45.9.0ESR, но она тяжеловата для этого ноута.
Что еще осталось? PaleMoon? SeaMonkey?

UPD
Итак, последние версии браузеров для процессоров без SSE2

Хром - 34.0.1847.137 на слабом железе тормозит
ФФ 45.9.0ESR - на слабом железе тормозит
Если поставить 27.0.1, работает довольно шустро, но обновляется до 48.0.1 и превращается в тыкву.
K-Meleon 76 Pro RC - очень легкий и быстрый, работает и на значительно более слабых машинах с малым объемом оперативки.
PaleMoon 27.6.2 - работает отлично
Seamonkey 2.40 - работает чуть медленней, новые версии требуют SSE2
Ну и Opera 12.18, работает вполне сносно, но давно устарел

Гость

Сообщение Гость » 02.01.2018,02:31

Эхх... я когда-то подбирал браузер для microSPARC-IIep. Подобрал Dillo :) Причем за новшествами не гнался, остановился на Dillo 2. Ну а если серьезно, это наверное самый лёгкий кроссплатформенный графический браузер.

Аватара пользователя
zheka
Advanced Member
Сообщения: 311
Зарегистрирован: 30.12.2014,21:51
Откуда: Винница

Сообщение zheka » 02.01.2018,07:42

radical,
Вроде хромого 33-й версии запускал на коппермайне с 512мб. С поддержкой сайтов у него ещё неплохо дела идут. Но 320мб ни о чём, только опера на старом движке и кмелеон, иначе браузер будет висеть в свопе.

radical
Advanced Member
Сообщения: 1877
Зарегистрирован: 20.07.2017,11:54

Сообщение radical » 02.01.2018,11:32

Опере 12 маловато 320, ей бы 512. В более старых версиях смысла не вижу, поскольку и 12 уже много где с сайтами косячит.
А вот хромог попробую, но, скорее всего, тут уже проц будет тормозить, как было с ФФ.

WillyBar
Newbie
Сообщения: 27
Зарегистрирован: 28.04.2016,17:16
Откуда: Москва

Сообщение WillyBar » 02.01.2018,12:17

Retrozilla себя хорошо показывает на P2 450Mz 386mb. Жаль, что разработку прекратили.

radical
Advanced Member
Сообщения: 1877
Зарегистрирован: 20.07.2017,11:54

Сообщение radical » 02.01.2018,18:23

Для моего процессора отлично подошел Palemoon 27.6.2.
Что больше всего поразило, крутит из браузера youtube 360 почти без тормозов, если будет какой-нибудь разогнанный туалатин или атлон ХР, или аппаратное ускорение будет использоваться, то должен вытянуть видео без проблем. Памяти жрет метров 200, потяжелее хамелеона, конечно.
Жалко только все эти браузеры портабельные и постоянно с запоминанием настроек у них какие-то траблы.


Аватара пользователя
ATauenis
Advanced Member
Сообщения: 4070
Зарегистрирован: 30.04.2015,21:30
Откуда: Москва
Контактная информация:

Вклад в сообщество

Сообщение ATauenis » 02.01.2018,20:51

radical писал(а):Опере 12 маловато 320, ей бы 512
12 очень прожорливая к процессору, запускал на Win2k с P3-933 и 768МБ памяти, загрузка процессора 100% и дичайшие тормоза даже на простых страницах. Память даже не успевает выжрать до того как я прибью диспетчером задач. 11.0 гораздо лучше работает, но уже не все сайты открывает.
Брюзжание mode is on.
Сколько лет подряд все делали возможность работы под ископаемыми браузерами, так нет, с jquery, css3 и прочей ересью все былдокодеры забыли про то, что всё можно сделать гораздо проще и надежнее на нормальных средствах 15 летней давности, используя новые штуки только на украшения.
Брюзжание mode is off.

radical
Advanced Member
Сообщения: 1877
Зарегистрирован: 20.07.2017,11:54

Сообщение radical » 02.01.2018,21:43

radical писал(а): Palemoon 27.6.2.
Проверил только что на связке AXP 2200+ (200x9.5), 2ГБ, HD3850, W7 x86. 1080p c youtube без проблем, аппаратное ускорение работает.

DDP
Advanced Member
Сообщения: 439
Зарегистрирован: 25.05.2012,07:13

Сообщение DDP » 03.01.2018,14:31

а у меня общий вопрос:
в несовсместимости браузеров с сайтами чей больше косяк:
те пидоры, которые сайты делают, или те, кто браузеры пишут?

rw6hrm
Advanced Member
Сообщения: 1045
Зарегистрирован: 17.02.2008,16:07
Откуда: Ставрополь
Контактная информация:

Вклад в сообщество

Сообщение rw6hrm » 03.01.2018,17:14

Palemoon под ХР у меня перестал работать от слова вообще. Не обновляется и не устанавливается заново. Сижу под SeaMonkey, но кубики уже не посмотреть...
DDP, думаю, что именно первые ;) и, в основном, российские. На зарубежные сайты я могу зайти под любым бро, хоть под шестым ослом, и мне всё (почти всё) будет показано, хоть и с урезанной функциональностью. Отечественные же "производители", посылают меня нах обновить бро, на что я их посылаю взаимно. Если сайт не функционален под 6-7 эксплорером, то его однозначно фтопку и кошкам, чтоб закопали. ИМХО.
http://rw6hrm.qrz.ru - Мои поделки

Аватара пользователя
ATauenis
Advanced Member
Сообщения: 4070
Зарегистрирован: 30.04.2015,21:30
Откуда: Москва
Контактная информация:

Вклад в сообщество

Сообщение ATauenis » 03.01.2018,19:37

rw6hrm писал(а):Сижу под SeaMonkey, но кубики уже не посмотреть...
Макака 2.49 на Core2Duo E4600 под XP SP3 отлично работает. Точнее, как отлично, с выключенным ClearType шрифты все размытые, и через about:config как в SeaMonkey 2.0 не делаются. Но в остальном проблем нет.
rw6hrm писал(а):DDP, думаю, что именно первые
Всё верно, ПТУшников за копейки набрали, те пишут шаблоны на фреймворках с AJAX на каждом углу, даже где можно обойтись без него, если отключить скрипты вообще ничего не работает. А фреймворки по вполне адекватным причинам (ради оптимизации производительности на многоядерных процессорах, которая стала возможна совсем недавно) поддерживают только поддерживаемые разработчиками версии браузеров. Раньше только оформление страдало, в худшем случае были разъезжания разметки, сейчас вся активная часть накрывается медным тазом, а это нынче 90% кода сайтов. Более развёрнутый ответ.
rw6hrm писал(а):в основном, российские. На зарубежные сайты я могу зайти под любым бро,
Везде есть чудилы с клавиатурой, попробуйте зайти с IE8 на microsoft.com хотя бы. Ещё во всех странах есть умники, запретившие работу по SSL 3.0/2.0, а также без шифрования, и все браузеры до 2005 года вообще отправились на свалку истории. Всё хочу написать прокси, снимающий HTTPS и заодно патчащий ссылки, ради замены протоколов и версий jquery, но пока не могу найти толковую библиотеку на VB6 или C# для работы с HTTP/1.1 (а лучше сразу 2.0) по TLS 1.1. Просто в наглую читать трафик там уже нельзя, есть gzip-сжатие, передача чунками и т.д., короче, просто так переделать трафик на лету уже нельзя. Зато есть защита от школьников с VBA, это плюс. :)

Ответить